package EFS::DBI::Result::AFSVolume;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{afsvolume} );

__PACKAGE__->add_columns( qw( type name parenttype parentid ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{afsvolume_seq} );

__PACKAGE__->has_many( attrs => q{EFS::DBI::Result::AFSVolumeAttrs} );

sub parent {
    my $self = shift;
    my $parent_rs = $self->get_resultset( EFS::DBI->type2subclass( $self->parenttype ) );
    my ($parent) = $parent_rs->search({ id => $self->parentid });
    return $parent;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
