package EFS::DBI::Result::Campus;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{campus} );

__PACKAGE__->add_columns( qw( region name description ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{campus_seq} );

__PACKAGE__->belongs_to( region => q{EFS::DBI::Result::Region} );

__PACKAGE__->has_many( locations => q{EFS::DBI::Result::Location} );

__PACKAGE__->has_many( attrs => q{EFS::DBI::Result::CampusAttrs} );

sub object_id {
    my $self = shift;
    my $separator = shift || q{/};
    return join( $separator,
                 $self->region->name,
                 $self->name );
}

sub pods {
    return map { $_->pods(@_) } shift->locations;
}

sub cells {
    return map { $_->cells(@_) } shift->locations;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
