package EFS::DBI::Result::InstallAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{install_attrs} );

__PACKAGE__->add_columns( qw( install name value ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{install_attrs_seq} );

__PACKAGE__->belongs_to( install => q{EFS::DBI::Result::Install} );

sub display_columns {
    return qw(metaproj project release install name value);
}

sub display_headers {
    return qw(Metaproj Project Release Install Attribute Value);
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
