package EFS::DBI::Result::Region;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{region} );

__PACKAGE__->add_columns( qw( name description ) );
__PACKAGE__->add_columns(
    id => {
        __PACKAGE__->get_id_column_attrs,
    },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{region_seq} );

__PACKAGE__->has_many( campuses => q{EFS::DBI::Result::Campus} );

__PACKAGE__->has_many( attrs => q{EFS::DBI::Result::RegionAttrs} );

sub locations {
    return map { $_->locations(@_) } shift->campuses;
}

sub pods {
    return map { $_->pods(@_) } shift->campuses;
}

sub cells {
    return map { $_->cells(@_) } shift->campuses;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
