package EFS::DBI::ResultSet::PlatformBuild;

use strict;
use warnings;
use English;

use base q{EFS::DBI::ResultSet};

use Params::Validate qw( :all );

sub retrieve_bynames_assert {

    my $self = shift;

    my (%args) = validate( @_, {
        name => { type => SCALAR },
    });

    my ($build) = $self->search({ name => $args{name} });

    if ( not $build ) {
        die qq{No such build '$args{name}' defined\n};
    }

    return $build;

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
