package EFS::DBI::ResultSet::PlatformInstance;

use strict;
use warnings;
use English;

use base q{EFS::DBI::ResultSet};

use Params::Validate qw( :all );

sub validate_data {
    my $class                   = shift;
    return EFS::DBI::ResultSet::Platform->validate_data( @_ );
}

sub retrieve_bynames_assert {

    my $self = shift;

    my (%args) = validate( @_, {
        name => { type => SCALAR },
    });

    my ($instance) = $self->search({ name => $args{name} });

    if ( not $instance ) {
        die qq{No such platform instance '$args{name}'\n};
    }

    return $instance;

}

sub get_flattened_data {

    my $self = shift;

    my $data = {};

    foreach my $instance ( $self->all ) {
        $data->{ $instance->name } = {
            platform  => $instance->platform->name,
            backwards =>
                $instance->backwards ? $instance->backwards->name : q{},
            emulates  =>
                $instance->emulates  ? $instance->emulates->name  : q{},
        };
    }

    return $data;

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
