package EFS::DBI::ResultSet::Pod;

use strict;
use warnings;
use English;

use base q{EFS::DBI::ResultSet};

use Params::Validate qw( :all );

sub retrieve_bynames_assert {

    my $self = shift;

    my (%args) = validate( @_, {
        region   => { type => SCALAR, optional => 1 },
        campus   => { type => SCALAR, optional => 1 },
        location => { type => SCALAR, optional => 1 },
        name     => { type => SCALAR },
    });

    my $name = $args{name};
    my @fields = split m/\./msx, $name;

    if ( $#fields == 1 ) {

        my $location_rs = EFS::DBI->get_resultset( q{Location} );

        my $location = $location_rs->retrieve_bynames_assert(
            region => $args{region},
            campus => $args{campus},
            name   => $args{location},
        );

        $name = join( q{.}, $location->object_id(q{.}), $name );
    }

    my ($pod) = $self->search({ name => $name });

    if ( not $pod ) {
        die qq{No such pod '$name'\n};
    }

    return $pod;

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
